const contactFieldClassName = 'mb-template-contact-field';
const contactFields = document.getElementsByClassName(contactFieldClassName);
const composeViewController = window.MB_ComposeViewController;

// Create a mutating observer for detecting when a contact field gets removed
var observer = new MutationObserver((e) => {
    if (e[0].removedNodes) {
        e[0].removedNodes.forEach(node => {
            if (node.classList.contains(contactFieldClassName)) {
                composeViewController.mailbutlerDidHoverOutTemplateElement_(node);
            }
        });
    }
});
observer.observe(document.documentElement, { childList: true, subtree: true });

document.body.onmouseover = function(e) {
    if (e.target && e.target.classList.contains(contactFieldClassName)) {
         composeViewController.mailbutlerDidHoverOverTemplateElement_(e.target);
    }
};

document.body.onmouseout = function(e) {
    if (e.target && e.target.classList.contains(contactFieldClassName)) {
        composeViewController.mailbutlerDidHoverOutTemplateElement_(e.target);
    }
};
